%define oname   sass

Name:       ruby-%{oname}
Version:    3.2.9
Release:    %mkrel 5
Summary:    CSS Generator
License:    GPLv2+
Group:      Development/Ruby
URL:        http://haml-lang.com/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Sass makes CSS fun again. Sass is an extension of CSS3, adding nested rules,
variables, mixins, selector inheritance, and more. It's translated to
well-formatted, standard CSS using the command line tool or a web-framework
plugin.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build 

%install
%gem_install
rm -rf %{buildroot}%{gem_instdir}/.yardoc
cp -a VERSION* %{buildroot}%{gem_instdir}/

%files
%{_bindir}/sass
%{_bindir}/sass-convert
%{_bindir}/scss
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Wed Jan 22 2014 pterjan <pterjan> 3.2.9-5.mga4
+ Revision: 567400
- Ship VERSION* files, they are used by the code

* Sat Dec 28 2013 pterjan <pterjan> 3.2.9-4.mga4
+ Revision: 562490
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 3.2.9-3.mga4
+ Revision: 539096
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 3.2.9-2.mga4
+ Revision: 491386
- update file list
- bump rel
- use gem_setup

* Sun Jun 09 2013 fwang <fwang> 3.2.9-1.mga4
+ Revision: 441190
- new version 3.2.9

* Fri Feb 08 2013 umeabot <umeabot> 3.2.3-3.mga3
+ Revision: 396454
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 3.2.3-2.mga3
+ Revision: 381448
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 3.2.3-1.mga3
+ Revision: 330391
- New version 3.2.3

* Sun Nov 04 2012 fwang <fwang> 3.2.2-1.mga3
+ Revision: 313906
- new version 3.2.2

* Mon Aug 06 2012 shlomif <shlomif> 3.1.20-1.mga3
+ Revision: 279456
- New version and fixed dependency.
  The dependency read "rubygem(fssm) = 0.1.4", with an exact and now defunct
  version, so this was fixed.
- Remove trailing space

* Sat Jun 09 2012 shlomif <shlomif> 3.1.19-1.mga3
+ Revision: 259008
- Got to build
- imported package ruby-sass

